/*
 *   COMPONENT_NAME: somi
 *
 *   ORIGINS: 27
 *
 *
 *    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1992,1996,1996  
 *   All Rights Reserved
 *   Licensed Materials - Property of IBM
 *   US Government Users Restricted Rights - Use, duplication or
 *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
/* @(#) 2.11 src/somi/ir/somir/somir.h, somi.common, som3.0 5/23/96 14:45:50 [12/24/96 07:40:12] */

/*
 */

/*
 *    SOMIR.H
 *    Typedefs, structs, & enums in support of the CORBA Interface Repository
 *    for use with SOM
 *
 *    #22160  05/16/96   partha     _WIN32: replace _System with _stdcall
 */

#ifndef SOMIR_h
#define SOMIR_h

#ifdef SOMIR_xh
  #include <somtc.xh>
#else
  #include <somtc.h>
#endif /* SOMIR_xh */

/*
 * The following structure is for a SOM-unique extension
 * to the CORBA Interface Repository
 */

typedef struct somModifier {
    string name;
    string value;
} somModifier;

/*
 * Miscellaneous "ir" helper functions
 */

/* #ifdef __IBMC__  */                  /* 22160D */
#if defined(__IBMC__) && defined(_OS2)  /* 22160A */
  #pragma linkage(irGetFileNames, system)
  #pragma linkage(irGetLastFileName, system)
#endif /* __IBMC__ */

SOMEXTERN char * SOMLINK irGetFileNames (void);
SOMEXTERN char * SOMLINK irGetLastFileName (void);

#endif /* SOMIR_h */




